## zygrib 3.5.0

=== Makefile ===
QTBIN=/usr/lib/qt4/bin

all:
	rm -f ./zyGrib
	cd src/bzip2; $(QTBIN)/qmake; make
	cd src/zlib-1.2.3; $(QTBIN)/qmake; make
	cd src/proj-4.6.0/src/; $(QTBIN)/qmake; make
	cd src; $(QTBIN)/qmake; make
	echo "-----------------------------------"

clean:
	rm -f zyGrib
	rm -f src/zyGrib
	cd src/bzip2; $(QTBIN)/qmake; make clean
	cd src/zlib-1.2.3; $(QTBIN)/qmake; make clean
	cd src/proj-4.6.0/src/; $(QTBIN)/qmake; make clean
	cd src;	$(QTBIN)/qmake; make clean

=== src/Makefile ===
#############################################################################
# Makefile for building: ../zyGrib
# Generated by qmake (2.01a) (Qt 4.3.4) on: mer. juil. 22 09:19:02 2009
# Project:  zyGrib.pro
# Template: app
# Command: /usr/lib/qt4/bin/qmake -unix -o Makefile zyGrib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/lib/qt4/mkspecs/linux-g++ -I. -I/usr/lib/qt4/include/QtCore -I/usr/lib/qt4/include/QtCore -I/usr/lib/qt4/include/QtNetwork -I/usr/lib/qt4/include/QtNetwork -I/usr/lib/qt4/include/QtGui -I/usr/lib/qt4/include/QtGui -I/usr/lib/qt4/include/QtXml -I/usr/lib/qt4/include/QtXml -I/usr/lib/qt4/include -IGUI -Ibzip2 -Izlib-1.2.3 -Iproj-4.6.0/src -Iobjs -IGUI
LINK          = g++
LFLAGS        = -Wl,-rpath,/usr/lib/qt4/lib
LIBS          = $(SUBLIBS)  -L/usr/lib/qt4/lib -Lbzip2 -lbz2 -Lzlib-1.2.3 -Lproj-4.6.0/src -lproj -lQtXml -L/usr/lib -L/usr/lib/qt4/lib -lQtGui -L/usr/X11R6/lib -lpng -lSM -lICE -lXi -lXrender -lXrandr -lXfixes -lXcursor -lXinerama -lfreetype -lfontconfig -lXext -lX11 -lQtNetwork -lQtCore -lz -lm -lrt -ldl -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/qt4/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = GUI/PositionEditorWidget.cpp \
		GUI/ColorEditorWidget.cpp \
		GUI/LineEditorWidget.cpp \
		GUI/TextStyleEditorWidget.cpp \
		GUI/AngleConverterWidget.cpp \
		GUI/AngleConverterDialog.cpp \
		IacPlot.cpp \
		IacReader.cpp \
		IacReaderUtil.cpp \
		Projection.cpp \
		Projection_libproj.cpp \
		BoardToolBar.cpp \
		DialogGraphicsParams.cpp \
		DialogLoadGRIB.cpp \
		DialogLoadIAC.cpp \
		DialogProxy.cpp \
		DialogServerStatus.cpp \
		DialogUnits.cpp \
		FileLoaderGRIB.cpp \
		FileLoaderIAC.cpp \
		GshhsRangsReader.cpp \
		GshhsReader.cpp \
		GribAnimator.cpp \
		GisReader.cpp \
		GribPlot.cpp \
		GribPointInfo.cpp \
		GribReader.cpp \
		GribRecord.cpp \
		IsoLine.cpp \
		LonLatGrid.cpp \
		main.cpp \
		MainWindow.cpp \
		MenuBar.cpp \
		MeteoTable.cpp \
		MeteotableOptionsDialog.cpp \
		Orthodromie.cpp \
		POI.cpp \
		POI_Editor.cpp \
		PositionEditor.cpp \
		sha1/sha1.cpp \
		MapDrawer.cpp \
		Settings.cpp \
		Terrain.cpp \
		Util.cpp \
		zuFile.cpp objs/moc_PositionEditorWidget.cpp \
		objs/moc_ColorEditorWidget.cpp \
		objs/moc_LineEditorWidget.cpp \
		objs/moc_TextStyleEditorWidget.cpp \
		objs/moc_AngleConverterWidget.cpp \
		objs/moc_AngleConverterDialog.cpp \
		objs/moc_BoardToolBar.cpp \
		objs/moc_DialogGraphicsParams.cpp \
		objs/moc_DialogLoadGRIB.cpp \
		objs/moc_DialogLoadIAC.cpp \
		objs/moc_DialogProxy.cpp \
		objs/moc_DialogServerStatus.cpp \
		objs/moc_DialogUnits.cpp \
		objs/moc_FileLoaderGRIB.cpp \
		objs/moc_FileLoaderIAC.cpp \
		objs/moc_GribAnimator.cpp \
		objs/moc_MainWindow.cpp \
		objs/moc_MenuBar.cpp \
		objs/moc_MeteoTable.cpp \
		objs/moc_MeteotableOptionsDialog.cpp \
		objs/moc_POI.cpp \
		objs/moc_POI_Editor.cpp \
		objs/moc_PositionEditor.cpp \
		objs/moc_Projection.cpp \
		objs/moc_MapDrawer.cpp \
		objs/moc_Terrain.cpp \
		objs/moc_Util.cpp
OBJECTS       = objs/PositionEditorWidget.o \
		objs/ColorEditorWidget.o \
		objs/LineEditorWidget.o \
		objs/TextStyleEditorWidget.o \
		objs/AngleConverterWidget.o \
		objs/AngleConverterDialog.o \
		objs/IacPlot.o \
		objs/IacReader.o \
		objs/IacReaderUtil.o \
		objs/Projection.o \
		objs/Projection_libproj.o \
		objs/BoardToolBar.o \
		objs/DialogGraphicsParams.o \
		objs/DialogLoadGRIB.o \
		objs/DialogLoadIAC.o \
		objs/DialogProxy.o \
		objs/DialogServerStatus.o \
		objs/DialogUnits.o \
		objs/FileLoaderGRIB.o \
		objs/FileLoaderIAC.o \
		objs/GshhsRangsReader.o \
		objs/GshhsReader.o \
		objs/GribAnimator.o \
		objs/GisReader.o \
		objs/GribPlot.o \
		objs/GribPointInfo.o \
		objs/GribReader.o \
		objs/GribRecord.o \
		objs/IsoLine.o \
		objs/LonLatGrid.o \
		objs/main.o \
		objs/MainWindow.o \
		objs/MenuBar.o \
		objs/MeteoTable.o \
		objs/MeteotableOptionsDialog.o \
		objs/Orthodromie.o \
		objs/POI.o \
		objs/POI_Editor.o \
		objs/PositionEditor.o \
		objs/sha1.o \
		objs/MapDrawer.o \
		objs/Settings.o \
		objs/Terrain.o \
		objs/Util.o \
		objs/zuFile.o \
		objs/moc_PositionEditorWidget.o \
		objs/moc_ColorEditorWidget.o \
		objs/moc_LineEditorWidget.o \
		objs/moc_TextStyleEditorWidget.o \
		objs/moc_AngleConverterWidget.o \
		objs/moc_AngleConverterDialog.o \
		objs/moc_BoardToolBar.o \
		objs/moc_DialogGraphicsParams.o \
		objs/moc_DialogLoadGRIB.o \
		objs/moc_DialogLoadIAC.o \
		objs/moc_DialogProxy.o \
		objs/moc_DialogServerStatus.o \
		objs/moc_DialogUnits.o \
		objs/moc_FileLoaderGRIB.o \
		objs/moc_FileLoaderIAC.o \
		objs/moc_GribAnimator.o \
		objs/moc_MainWindow.o \
		objs/moc_MenuBar.o \
		objs/moc_MeteoTable.o \
		objs/moc_MeteotableOptionsDialog.o \
		objs/moc_POI.o \
		objs/moc_POI_Editor.o \
		objs/moc_PositionEditor.o \
		objs/moc_Projection.o \
		objs/moc_MapDrawer.o \
		objs/moc_Terrain.o \
		objs/moc_Util.o
DIST          = /usr/lib/qt4/mkspecs/common/g++.conf \
		/usr/lib/qt4/mkspecs/common/unix.conf \
		/usr/lib/qt4/mkspecs/common/linux.conf \
		/usr/lib/qt4/mkspecs/qconfig.pri \
		/usr/lib/qt4/mkspecs/features/qt_functions.prf \
		/usr/lib/qt4/mkspecs/features/qt_config.prf \
		/usr/lib/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/lib/qt4/mkspecs/features/default_pre.prf \
		/usr/lib/qt4/mkspecs/features/release.prf \
		/usr/lib/qt4/mkspecs/features/default_post.prf \
		/usr/lib/qt4/mkspecs/features/qt.prf \
		/usr/lib/qt4/mkspecs/features/unix/thread.prf \
		/usr/lib/qt4/mkspecs/features/moc.prf \
		/usr/lib/qt4/mkspecs/features/warn_on.prf \
		/usr/lib/qt4/mkspecs/features/resources.prf \
		/usr/lib/qt4/mkspecs/features/uic.prf \
		/usr/lib/qt4/mkspecs/features/yacc.prf \
		/usr/lib/qt4/mkspecs/features/lex.prf \
		zyGrib.pro
QMAKE_TARGET  = zyGrib
DESTDIR       = ../
TARGET        = ../zyGrib

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): GUI/ui_PositionEditorWidget.h GUI/ui_PoiEditorDialog.h GUI/ui_ColorEditorWidget.h GUI/ui_LineEditorWidget.h GUI/ui_TextStyleEditorWidget.h GUI/ui_GraphicsParamsDialog.h GUI/ui_MeteotableOptionsDialog.h GUI/ui_AngleConverterWidget.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: zyGrib.pro  /usr/lib/qt4/mkspecs/linux-g++/qmake.conf /usr/lib/qt4/mkspecs/common/g++.conf \
		/usr/lib/qt4/mkspecs/common/unix.conf \
		/usr/lib/qt4/mkspecs/common/linux.conf \
		/usr/lib/qt4/mkspecs/qconfig.pri \
		/usr/lib/qt4/mkspecs/features/qt_functions.prf \
		/usr/lib/qt4/mkspecs/features/qt_config.prf \
		/usr/lib/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/lib/qt4/mkspecs/features/default_pre.prf \
		/usr/lib/qt4/mkspecs/features/release.prf \
		/usr/lib/qt4/mkspecs/features/default_post.prf \
		/usr/lib/qt4/mkspecs/features/qt.prf \
		/usr/lib/qt4/mkspecs/features/unix/thread.prf \
		/usr/lib/qt4/mkspecs/features/moc.prf \
		/usr/lib/qt4/mkspecs/features/warn_on.prf \
		/usr/lib/qt4/mkspecs/features/resources.prf \
		/usr/lib/qt4/mkspecs/features/uic.prf \
		/usr/lib/qt4/mkspecs/features/yacc.prf \
		/usr/lib/qt4/mkspecs/features/lex.prf \
		/usr/lib/qt4/lib/libQtXml.prl \
		/usr/lib/qt4/lib/libQtCore.prl \
		/usr/lib/qt4/lib/libQtGui.prl \
		/usr/lib/qt4/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile zyGrib.pro
/usr/lib/qt4/mkspecs/common/g++.conf:
/usr/lib/qt4/mkspecs/common/unix.conf:
/usr/lib/qt4/mkspecs/common/linux.conf:
/usr/lib/qt4/mkspecs/qconfig.pri:
/usr/lib/qt4/mkspecs/features/qt_functions.prf:
/usr/lib/qt4/mkspecs/features/qt_config.prf:
/usr/lib/qt4/mkspecs/features/exclusive_builds.prf:
/usr/lib/qt4/mkspecs/features/default_pre.prf:
/usr/lib/qt4/mkspecs/features/release.prf:
/usr/lib/qt4/mkspecs/features/default_post.prf:
/usr/lib/qt4/mkspecs/features/qt.prf:
/usr/lib/qt4/mkspecs/features/unix/thread.prf:
/usr/lib/qt4/mkspecs/features/moc.prf:
/usr/lib/qt4/mkspecs/features/warn_on.prf:
/usr/lib/qt4/mkspecs/features/resources.prf:
/usr/lib/qt4/mkspecs/features/uic.prf:
/usr/lib/qt4/mkspecs/features/yacc.prf:
/usr/lib/qt4/mkspecs/features/lex.prf:
/usr/lib/qt4/lib/libQtXml.prl:
/usr/lib/qt4/lib/libQtCore.prl:
/usr/lib/qt4/lib/libQtGui.prl:
/usr/lib/qt4/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile zyGrib.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/zyGrib1.0.0 || $(MKDIR) objs/zyGrib1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) objs/zyGrib1.0.0/ && $(COPY_FILE) --parents GUI/PositionEditorWidget.h GUI/ColorEditorWidget.h GUI/LineEditorWidget.h GUI/TextStyleEditorWidget.h GUI/AngleConverterWidget.h GUI/AngleConverterDialog.h BoardToolBar.h DialogGraphicsParams.h DialogLoadGRIB.h DialogLoadIAC.h DialogProxy.h DialogServerStatus.h DialogUnits.h FileLoaderGRIB.h FileLoaderIAC.h GshhsRangsReader.h GshhsReader.h GisReader.h GribAnimator.h GribPlot.h GribPointInfo.h GribReader.h GribRecord.h IacPlot.h IacReader.h IsoLine.h LonLatGrid.h MainWindow.h MenuBar.h MeteoTable.h MeteotableOptionsDialog.h Orthodromie.h POI.h POI_Editor.h PositionEditor.h Projection.h sha1/sha1.h MapDrawer.h Settings.h Terrain.h Util.h Version.h zuFile.h objs/zyGrib1.0.0/ && $(COPY_FILE) --parents GUI/PositionEditorWidget.cpp GUI/ColorEditorWidget.cpp GUI/LineEditorWidget.cpp GUI/TextStyleEditorWidget.cpp GUI/AngleConverterWidget.cpp GUI/AngleConverterDialog.cpp IacPlot.cpp IacReader.cpp IacReaderUtil.cpp Projection.cpp Projection_libproj.cpp BoardToolBar.cpp DialogGraphicsParams.cpp DialogLoadGRIB.cpp DialogLoadIAC.cpp DialogProxy.cpp DialogServerStatus.cpp DialogUnits.cpp FileLoaderGRIB.cpp FileLoaderIAC.cpp GshhsRangsReader.cpp GshhsReader.cpp GribAnimator.cpp GisReader.cpp GribPlot.cpp GribPointInfo.cpp GribReader.cpp GribRecord.cpp IsoLine.cpp LonLatGrid.cpp main.cpp MainWindow.cpp MenuBar.cpp MeteoTable.cpp MeteotableOptionsDialog.cpp Orthodromie.cpp POI.cpp POI_Editor.cpp PositionEditor.cpp sha1/sha1.cpp MapDrawer.cpp Settings.cpp Terrain.cpp Util.cpp zuFile.cpp objs/zyGrib1.0.0/ && $(COPY_FILE) --parents GUI/PositionEditorWidget.ui GUI/PoiEditorDialog.ui GUI/ColorEditorWidget.ui GUI/LineEditorWidget.ui GUI/TextStyleEditorWidget.ui GUI/GraphicsParamsDialog.ui GUI/MeteotableOptionsDialog.ui GUI/AngleConverterWidget.ui objs/zyGrib1.0.0/ && $(COPY_FILE) --parents ../tr/zyGrib_en.ts ../tr/zyGrib_de.ts ../tr/zyGrib_it.ts ../tr/zyGrib_ru.ts ../tr/zyGrib_es.ts objs/zyGrib1.0.0/ && (cd `dirname objs/zyGrib1.0.0` && $(TAR) zyGrib1.0.0.tar zyGrib1.0.0 && $(COMPRESS) zyGrib1.0.0.tar) && $(MOVE) `dirname objs/zyGrib1.0.0`/zyGrib1.0.0.tar.gz . && $(DEL_FILE) -r objs/zyGrib1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

## zygrib 3.9.2

=== Makefile ===
#QTBIN=/usr/lib/qt4/bin
QTBIN=/usr/bin

INSTALLDIR=$(HOME)/zyGrib

all: zyGrib

SRC= src/*.h src/*.cpp \
     src/*/*.h src/*/*.cpp src/*/*.c \
     src/*/*/*.h src/*/*/*.c \

clean:
	rm -f zyGrib
	rm -f src/zyGrib
	cd src/bzip2; $(QTBIN)/qmake; make clean
	cd src/zlib-1.2.3; $(QTBIN)/qmake; make clean
	cd src/proj-4.6.0/src/; $(QTBIN)/qmake; make clean
	cd src;	$(QTBIN)/qmake; make clean

zyGrib: $(SRC)
	@ echo
	@ echo
	rm -f ./zyGrib
	cd src/bzip2; $(QTBIN)/qmake; make
	cd src/zlib-1.2.3; $(QTBIN)/qmake; make
	cd src/proj-4.6.0/src/; $(QTBIN)/qmake; make
	cd src; $(QTBIN)/qmake; make
	@ echo "-----------------------------------"
	@ echo "#!/bin/bash" >> ./zyGrib
	@ echo "cd `pwd`" >> ./zyGrib
	@ echo 'src/zyGrib $$*' >> ./zyGrib
	@ chmod 755 ./zyGrib


install: zyGrib
	mkdir -p $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/bin
	cp -a fonts $(INSTALLDIR)
	cp -a grib $(INSTALLDIR)
	cp -a img $(INSTALLDIR)
	cp -a maps $(INSTALLDIR)
	cp -a tr $(INSTALLDIR)
	rm -f ./zyGrib
	rm -f $(INSTALLDIR)/bin/zyGrib
	cp  -a src/zyGrib $(INSTALLDIR)/bin
	echo "#!/bin/bash" >> ./zyGrib
	echo "cd $(INSTALLDIR)" >> ./zyGrib
	echo 'bin/zyGrib $$*' >> ./zyGrib
	chmod 755 ./zyGrib
	cp -af zyGrib $(INSTALLDIR)

=== src/Makefile ===
#############################################################################
# Makefile for building: zyGrib
# Generated by qmake (2.01a) (Qt 4.5.2) on: sam. mai 15 00:31:14 2010
# Project:  zyGrib.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile zyGrib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Iutil -Imap -IGUI -Ibzip2 -Izlib-1.2.3 -Iproj-4.6.0/src -Iobjs -IGUI
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -Lbzip2 -lbz2 -Lzlib-1.2.3 -lz -Lproj-4.6.0/src -lproj -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = GUI/PositionEditorWidget.cpp \
		GUI/ColorEditorWidget.cpp \
		GUI/LineEditorWidget.cpp \
		GUI/TextStyleEditorWidget.cpp \
		GUI/AngleConverterWidget.cpp \
		GUI/AngleConverterDialog.cpp \
		BoardToolBar.cpp \
		DataQString.cpp \
		DataMeteoAbstract.cpp \
		DataPointInfo.cpp \
		DateChooser.cpp \
		DialogBoxColumn.cpp \
		DialogFonts.cpp \
		DialogGraphicsParams.cpp \
		DialogLoadGRIB.cpp \
		DialogLoadIAC.cpp \
		DialogProxy.cpp \
		DialogServerStatus.cpp \
		DialogUnits.cpp \
		FileLoaderGRIB.cpp \
		FileLoaderIAC.cpp \
		util/Font.cpp \
		GriddedPlotter.cpp \
		GriddedReader.cpp \
		GriddedRecord.cpp \
		map/GshhsRangsReader.cpp \
		map/GshhsReader.cpp \
		GribAnimator.cpp \
		GribPlot.cpp \
		map/GisReader.cpp \
		GribReader.cpp \
		GribRecord.cpp \
		IacPlot.cpp \
		IacReader.cpp \
		IacReaderUtil.cpp \
		ImageWriter.cpp \
		IrregularGridded.cpp \
		IsoLine.cpp \
		LonLatGrid.cpp \
		MbluePlot.cpp \
		MblueReader.cpp \
		MblueRecord.cpp \
		main.cpp \
		MainWindow.cpp \
		MenuBar.cpp \
		MeteoTable.cpp \
		MeteoTableWidget.cpp \
		MeteotableOptionsDialog.cpp \
		util/Orthodromie.cpp \
		map/POI.cpp \
		map/POI_Editor.cpp \
		map/PositionEditor.cpp \
		map/Projection.cpp \
		map/Projection_libproj.cpp \
		sha1/sha1.cpp \
		MapDrawer.cpp \
		util/Settings.cpp \
		Terrain.cpp \
		util/Util.cpp \
		util/zuFile.cpp objs/moc_PositionEditorWidget.cpp \
		objs/moc_ColorEditorWidget.cpp \
		objs/moc_LineEditorWidget.cpp \
		objs/moc_TextStyleEditorWidget.cpp \
		objs/moc_AngleConverterWidget.cpp \
		objs/moc_AngleConverterDialog.cpp \
		objs/moc_BoardToolBar.cpp \
		objs/moc_DataQString.cpp \
		objs/moc_DateChooser.cpp \
		objs/moc_DialogBoxColumn.cpp \
		objs/moc_DialogFonts.cpp \
		objs/moc_DialogGraphicsParams.cpp \
		objs/moc_DialogLoadGRIB.cpp \
		objs/moc_DialogLoadIAC.cpp \
		objs/moc_DialogProxy.cpp \
		objs/moc_DialogServerStatus.cpp \
		objs/moc_DialogUnits.cpp \
		objs/moc_FileLoaderGRIB.cpp \
		objs/moc_FileLoaderIAC.cpp \
		objs/moc_GribAnimator.cpp \
		objs/moc_ImageWriter.cpp \
		objs/moc_MeteoTable.cpp \
		objs/moc_MeteoTableWidget.cpp \
		objs/moc_MeteotableOptionsDialog.cpp \
		objs/moc_MainWindow.cpp \
		objs/moc_MenuBar.cpp \
		objs/moc_POI.cpp \
		objs/moc_POI_Editor.cpp \
		objs/moc_PositionEditor.cpp \
		objs/moc_Projection.cpp \
		objs/moc_MapDrawer.cpp \
		objs/moc_Terrain.cpp \
		objs/moc_Util.cpp
OBJECTS       = objs/PositionEditorWidget.o \
		objs/ColorEditorWidget.o \
		objs/LineEditorWidget.o \
		objs/TextStyleEditorWidget.o \
		objs/AngleConverterWidget.o \
		objs/AngleConverterDialog.o \
		objs/BoardToolBar.o \
		objs/DataQString.o \
		objs/DataMeteoAbstract.o \
		objs/DataPointInfo.o \
		objs/DateChooser.o \
		objs/DialogBoxColumn.o \
		objs/DialogFonts.o \
		objs/DialogGraphicsParams.o \
		objs/DialogLoadGRIB.o \
		objs/DialogLoadIAC.o \
		objs/DialogProxy.o \
		objs/DialogServerStatus.o \
		objs/DialogUnits.o \
		objs/FileLoaderGRIB.o \
		objs/FileLoaderIAC.o \
		objs/Font.o \
		objs/GriddedPlotter.o \
		objs/GriddedReader.o \
		objs/GriddedRecord.o \
		objs/GshhsRangsReader.o \
		objs/GshhsReader.o \
		objs/GribAnimator.o \
		objs/GribPlot.o \
		objs/GisReader.o \
		objs/GribReader.o \
		objs/GribRecord.o \
		objs/IacPlot.o \
		objs/IacReader.o \
		objs/IacReaderUtil.o \
		objs/ImageWriter.o \
		objs/IrregularGridded.o \
		objs/IsoLine.o \
		objs/LonLatGrid.o \
		objs/MbluePlot.o \
		objs/MblueReader.o \
		objs/MblueRecord.o \
		objs/main.o \
		objs/MainWindow.o \
		objs/MenuBar.o \
		objs/MeteoTable.o \
		objs/MeteoTableWidget.o \
		objs/MeteotableOptionsDialog.o \
		objs/Orthodromie.o \
		objs/POI.o \
		objs/POI_Editor.o \
		objs/PositionEditor.o \
		objs/Projection.o \
		objs/Projection_libproj.o \
		objs/sha1.o \
		objs/MapDrawer.o \
		objs/Settings.o \
		objs/Terrain.o \
		objs/Util.o \
		objs/zuFile.o \
		objs/moc_PositionEditorWidget.o \
		objs/moc_ColorEditorWidget.o \
		objs/moc_LineEditorWidget.o \
		objs/moc_TextStyleEditorWidget.o \
		objs/moc_AngleConverterWidget.o \
		objs/moc_AngleConverterDialog.o \
		objs/moc_BoardToolBar.o \
		objs/moc_DataQString.o \
		objs/moc_DateChooser.o \
		objs/moc_DialogBoxColumn.o \
		objs/moc_DialogFonts.o \
		objs/moc_DialogGraphicsParams.o \
		objs/moc_DialogLoadGRIB.o \
		objs/moc_DialogLoadIAC.o \
		objs/moc_DialogProxy.o \
		objs/moc_DialogServerStatus.o \
		objs/moc_DialogUnits.o \
		objs/moc_FileLoaderGRIB.o \
		objs/moc_FileLoaderIAC.o \
		objs/moc_GribAnimator.o \
		objs/moc_ImageWriter.o \
		objs/moc_MeteoTable.o \
		objs/moc_MeteoTableWidget.o \
		objs/moc_MeteotableOptionsDialog.o \
		objs/moc_MainWindow.o \
		objs/moc_MenuBar.o \
		objs/moc_POI.o \
		objs/moc_POI_Editor.o \
		objs/moc_PositionEditor.o \
		objs/moc_Projection.o \
		objs/moc_MapDrawer.o \
		objs/moc_Terrain.o \
		objs/moc_Util.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		zyGrib.pro
QMAKE_TARGET  = zyGrib
DESTDIR       = 
TARGET        = zyGrib

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): GUI/ui_PositionEditorWidget.h GUI/ui_PoiEditorDialog.h GUI/ui_ColorEditorWidget.h GUI/ui_LineEditorWidget.h GUI/ui_TextStyleEditorWidget.h GUI/ui_GraphicsParamsDialog.h GUI/ui_MeteotableOptionsDialog.h GUI/ui_AngleConverterWidget.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: zyGrib.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile zyGrib.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile zyGrib.pro

dist: 
	@$(CHK_DIR_EXISTS) objs/zyGrib1.0.0 || $(MKDIR) objs/zyGrib1.0.0

=== debian/changelog ===
zygrib (3.9.2-1) unstable; urgency=low

  * New Updatream release. Closes: #584897.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Jun 2010 20:43:50 +0100

zygrib (3.8.6-2) unstable; urgency=low

  * zygrib.png does not need to be uuencoded in source format 3.0.
    Ship in debian/ directory. Closes: #576933. 
  * Add DEP-3 tags to patches.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 08 Apr 2010 12:30:22 +0100

zygrib (3.8.6-1) unstable; urgency=low

  * New upstream release.
  * Include czech lang patch
  * Remove dutch lang patch; now included upstream.
  * Move to Standards-Version: 3.8.4.
  * Move to source format 3.0
  * No longer need quilt dependency; add qt4-dev-tools for translation tools.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Apr 2010 11:24:27 +0100

zygrib (3.5.0-1) unstable; urgency=low

  * Initial release. Closes: 531032.
  * Add Dutch support; translation taken from website www.zygrib.org
  * Use external zlib, bzip2, proj libraries. Source code not shipped with
    Debian version.
  * Add zygrib desktop entry and pixmap.
  * Clarify the copyright and upstream URL in debian/copyright. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Aug 2009 09:39:25 +0100

=== debian/control ===
Source: zygrib
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: cdbs, debhelper (>> 7), dh-buildinfo, libz-dev, libbz2-dev, libproj-dev, libqt4-dev, qt4-dev-tools
Standards-Version: 3.8.4
Homepage: http://www.zygrib.org/

Package: zygrib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, zygrib-maps
Description: Weather data visualization,  GRIB file viewer
 This application, written with the Qt toolkit, enables:
  * Visualisation of meteo data from files in GRIB Format 1
  * Automatic GRIB data download
  * Automatic Download from IAC (fleetcode) Data


Package: zygrib-maps
Architecture: all
Depends: ${misc:Depends}
Description: Maps for zyGrib weather visualization
 This contains maps and country names used by zyGrib.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS += -fPIC

DEB_MAKE_CHECK_TARGET := check
DEB_MAKE_CLEAN_TARGET := clean distclean maintainer-clean


build/zygrib::
	cd src ; qmake-qt4 -o Makefile zyGrib.pro; $(MAKE)
	cd tr ; lconvert zyGrib_cz.ts -o zyGrib_cz.qm

clean::
	# cd src ; qmake-qt4 -o Makefile zyGrib.pro; $(MAKE) clean
	rm -f  src/objs/* src/zyGrib


# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo
